# Introduction to XR systems

<details>
  <summary>Homework 1 requirements</summary>

### The Room, 5pts

Complete and enclosed room

### Lighting, 5pts

Bright point light in center of room ceiling 

### Planet and Moon, 5pts

Planet and moon in center of room 

### Text, 5pts

Text is sharp, clearly visible in VR and displays controls

### Skybox, 5pts

A skybox is present from the external vantage point 

### Material Maps, 5pts

Two walls have the provided albedo and normal maps

### Material Tiling, 5pts

Two walls have distinct tiling settings 	

### Material Properties, 5pts

Two walls have altered smoothness and/or metallicity 

### Flat Color Material, 5pts

One wall has a flat color material 		

### VR Tracking, 5pts

VR camera and controller tracking is working correctly

### Controller inputs, 10pts

VR controller inputs are used

### Quit Key, 10pts

A controller button exits the game

### Light Switch, 10pts	

A controller button changes the light color 

### Orbiting Moon, 10pts

The moon orbits the planet at a steady rate 

### Break Out, 10pts	

A controller button switches the player to and from an external vantage point 	

### More Complex Room, 10pts

Extra credit assignment 

Total points
110

</details>

## Homework 1 extra features added:

### Turning:

When clicking the primary and secondary buttons on the left controller the camera turns 30 degrees, left with X and right with Y

### Model of a donut

I followed a tutorial on the basics of blender and made a model of a glazed donut which I put orbiting around the planet.

Tutorial link: https://www.youtube.com/watch?v=B0J27sf9N1Y&list=PLjEaoINr3zgEPv5y--4MKpciLaoQYZB1Z&index=1&t=0s

### Train tunnel

Imported from: https://www.blender-models.com/model-downloads/vehicles/land-based/id/subway-underground-tube-tunnel-scene/

## Preview videos

### Homework 1

![preview](./XR-Homework-1/project_preview.mp4)